@use "../../scss" as *;

.header {
  height: $header-height;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 100;
  pointer-events: none;

  &__inner {
    @include flex(center, space-between);
    height: 100%;
  }
  &__logo {
    width: 145px;
    pointer-events: visible;

    img {
      width: 100%;
    }
  }

  &__nav {
    @include flex(center, space-between);

    li ~ li {
      margin-left: 1rem;
    }
    a {
      display: inline-block;
      padding: 0.5rem;
      text-transform: uppercase;
      position: relative;
      pointer-events: visible;

      &::before,
      &::after {
        content: "";
        position: absolute;
        height: 2px;
        width: 0;
        background-color: $main-color;
        transition: width 0.3s ease;
      }

      &:hover::before,
      &:hover::after {
        width: 50%;
      }
      &::before {
        left: 0;
        top: 0;
      }
      &::after {
        right: 0;
        bottom: 0;
      }
    }
  }
}
